Syncfusion Feedback

Trusted by the world’s leading companies

Syncfusion Trusted Companies

Overview

The React Split Button triggers a default action when the primary button is clicked and provides a list of actions when the drop-down button is clicked. It has built-in support for icons and their positioning, varied sizes, disabling items, separators, RTL, and UI customization.


React Split Button Code Example

Easily get started with the React Split Button using a few simple lines of TSX code as demonstrated below. Also explore our React Split Button Example that shows you how to render and configure the Split Button in React.

import { enableRipple } from '@syncfusion/ej2-base';
import { SplitButtonComponent } from '@syncfusion/ej2-react-splitbuttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
// To render SplitButton.
function App() {
    let items = [
        {
            text: 'Cut',
        },
        {
            text: 'Copy',
        },
        {
            text: 'Paste',
        }
    ];
    return (<div>
      <SplitButtonComponent id="element" items={items}> Paste </SplitButtonComponent>
    </div>);
}
export default App;
ReactDom.render(<App />, document.getElementById('button'));


Split Button size

You can make use of different split button sizes, default and small.


Users tend to perceive visual information better than text. The React Split Button has built-in options to include an icon to the left or above the text or provide an icon-only button.


Pop-up menu

The pop-up is a toggleable container that holds a list of action items or custom content that will open or close when the button is clicked. You can customize all the items in a pop-up.

React Split button popup with list of action items containing text and icons


React Split button separator grouping similar action items

You can use a horizontal line separator to represent similar action items as a group within the list of available items.


Built-in themes

The React Split Button supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.


Web accessibility

  • Fully supports WAI-ARIA accessibility to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Follows WCAG 2.0 standards in design of the UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Developer Friendly APIs

In Split Button, you have component over all the UI elements and its behaviors. This provides the best user experience to users through a rich set of developer-friendly APIs.



Other Supported Frameworks

In addition to React, built-in integration is available for these major frameworks.

Discover Syncfusion’s Complete React Component Ecosystem

Explore over 150+ React UI components featuring established, production-ready controls and the latest pure React components built natively for modern web app development.

  • React Components
  • Pure React Components

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

See Real Success Stories

Developers around the world trust Syncfusion’s Essential Studio to simplify complex projects and speed up delivery. With a vast library of UI controls, powerful SDKs, and reliable support, Essential Studio helps teams build enterprise-ready applications with confidence.

Read Our Customer Stories


Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon

Syncfusion Feedback

Trusted by the world’s leading companies

syncfusion trusted companies

Overview

The Angular Split Button triggers a default action when the primary button is clicked and provides a list of actions when the drop-down button is clicked. It has built-in support for icons and their positioning, varied sizes, disabling items, separators, RTL, and UI customization.


Split Button size

You can make use of different split button sizes, default and small.


Users tend to perceive visual information better than text. The Angular Split Button has built-in options to include an icon to the left or above the text or provide an icon-only button.


Pop-up menu

The pop-up is a toggleable container that holds a list of action items or custom content that will open or close when the button is clicked. You can customize all the items in a pop-up.

Angular Split button popup with list of action items containing text and icons


Angular Split button separator grouping similar action items

You can use a horizontal line separator to represent similar action items as a group within the list of available items.


Other supported frameworks

Split Button is also available in Blazor, React, Vue, and JavaScript frameworks. Check out the different Split Button platforms from the links below,


Built-in themes

The Angular Split Button supports built-in themes such as Bootstrap 5, Tailwind CSS, Fluent, high contrast, and more. Users can customize these built-in themes or create new themes to achieve the desired look and feel either by simply overriding SASS variables or using the Theme Studio application.

Web accessibility

  • Fully supports WAI-ARIA accessibility to work with screen readers and assistive devices.
  • Follows WAI-ARIA best practices for implementing keyboard interaction.
  • Follows WCAG 2.0 standards in design of the UI element visuals such as foreground color, background color, line spacing, text, and images.
  • Supports right-to-left (RTL) text direction for users working in right-to-left languages like Hebrew, Arabic, or Persian.

Developer Friendly APIs

In Split Button, you have Component over all the UI elements and its behaviors. This provides the best user experience to users through a rich set of developer-friendly APIs.


Angular Split Button Code Example

Easily get started with the Angular Split Button using a few simple lines of TS codes as demonstrated below. Also explore our Angular Split Button Example that shows you how to render and configure a Split Button in Angular.

  1. <ejs-splitbutton content="Paste" [items]='items'></ejs-splitbutton>`
  1. import { Component } from '@angular/core';
  2. import { ItemModel } from '@syncfusion/ej2-angular-splitbuttons';
  3.  
  4. @Component({
  5. selector: 'app-root',
  6. template: `<!-- To Render splitbutton. -->
  7. <ejs-splitbutton content="Paste" [items]='items'></ejs-splitbutton>`
  8. })
  9.  
  10. export class AppComponent {
  11. public items: ItemModel[] = [
  12. { text: 'Cut'},
  13. { text: 'Copy'},
  14. { text: 'Paste'}
  15. ];
  16. }

90+ ANGULAR UI COMPONENTS

Our Customers Love Us

Having an excellent set of tools and a great support team, Syncfusion® reduces customers’ development time.
Here are some of their experiences.

Rated by users across the globe

Transform your applications today by downloading our free evaluation version
Download Free Trial No credit card required.

Awards

Greatness—it’s one thing to say you have it, but it means more when others recognize it. Syncfusion® is proud to hold the following industry awards.

Up arrow icon
Chat with us